/*
* ============================================================================
*  Name        : mccexpanic.pan
*  Part of     : mccexample / mccexample
*  Description : Panic code definitions for mccexample
*  Version     : %version: %
*
*  Copyright  2008-2009 Nokia.  All rights reserved.
*  This material, including documentation and any related computer
*  programs, is protected by copyright controlled by Nokia.  All
*  rights are reserved.  Copying, including reproducing, storing,
*  adapting or translating, any or all of this material requires the
*  prior written consent of Nokia.  This material also contains
*  confidential information which may not be disclosed to others
*  without the prior written consent of Nokia.
* ============================================================================
* Template version: 4.0
*/

#ifndef MCCEXAPP_PAN
#define MCCEXAPP_PAN

#include <e32std.h>

// LOCAL CONSTANTS
_LIT( KMccPanicName, "MccExPanic" );

/** 
 * Enumeration defining the panics used in MCC example.
 */
enum TMccExAppPanic
    {
    EMccExUnhandledCmd  = 1,    // UI encountered a unknown command
    EMccExNullPtr       = 2,    // NULL pointer detected
    EMccExUnknownState  = 3,    // Engine is in unknown state
    EMccExEventCategory = 4,    // Wrong category event passed
    EMccExEventType     = 5,    // Wrong event type forwarded to a state,
    EMccExOutOfBounds   = 6     // Index out of bounds
    };

/**
 * General function for panics in the example app and its engine.
 */
inline void MccExPanic( TMccExAppPanic aReason )
    {
    User::Panic( KMccPanicName, aReason );
    }

#endif // MCCEXAPP_PAN
