/*
* ============================================================================
*  Name        : tnetworksettings.h
*  Part of     : mccexample / mccexengine
*  Description : TNetworkSettings class definition
*  Version     : %version: %
*
*  Copyright  2009 Nokia.  All rights reserved.
*  This material, including documentation and any related computer
*  programs, is protected by copyright controlled by Nokia.  All
*  rights are reserved.  Copying, including reproducing, storing,
*  adapting or translating, any or all of this material requires the
*  prior written consent of Nokia.  This material also contains
*  confidential information which may not be disclosed to others
*  without the prior written consent of Nokia.
* ============================================================================
* Template version: 4.2
*/

#ifndef T_TNETWORKSETTINGS_H
#define T_TNETWORKSETTINGS_H

#include <in_sock.h>

/**
 * Simple T - class to pass network settings related to RTP streaming in the
 * MCC example.
 */
class TNetworkSettings
    {
public:
    
    /**
     * C++ default constructor.
     */
    TNetworkSettings()
        {   };
    
    /**
     * Parametrized constructor.
     */
    TNetworkSettings( TInt aQos, TInt aPort,
        TBool aRtcp, const TInetAddr& aAddr ) : iMediaQoS( aQos ),
            iRtpPort( aPort ), iRtcpEnabled( aRtcp ), iRemoteAddress( aAddr )
        {   };
    
public: // Data
    
    /**
     * Media QoS value.
     */
    TInt iMediaQoS;
    
    /**
     * RTP port to be used.
     */
    TInt iRtpPort;
    
    /**
     * RTCP usage flag.
     */
    TBool iRtcpEnabled;
    
    /**
     * Remote address to be used.
     */
    TInetAddr iRemoteAddress;
    
    };


#endif  // T_TNETWORKSETTINGS_H
