/*
* ============================================================================
*  Name        : mccexappmaincontainer.h
*  Part of     : mccexample / mccexapp
*  Description : CMccExAppMainContainer declaration
*  Version     : %version: %
*
*  Copyright  2008-2009 Nokia.  All rights reserved.
*  This material, including documentation and any related computer
*  programs, is protected by copyright controlled by Nokia.  All
*  rights are reserved.  Copying, including reproducing, storing,
*  adapting or translating, any or all of this material requires the
*  prior written consent of Nokia.  This material also contains
*  confidential information which may not be disclosed to others
*  without the prior written consent of Nokia.
* ============================================================================
* Template version: 4.2
*/

#ifndef C_CMCCEXAPPMAINCONTAINER_H
#define C_CMCCEXAPPMAINCONTAINER_H

#include "mccexappbasecontrol.h"

/**
 * MCC example application main view container control.
 */
class CMccExAppMainContainer : public CMccExAppBaseControl
    {
public:

    /**
     * Two-phased constructor. Create a CMccExAppMainContainer object, which
     * will draw itself to aRect.
     * 
     * @param aRect The rectangle this view will be drawn to.
     * @return A pointer to the created instance of CMccExAppMainContainer.
     */
    static CMccExAppMainContainer* NewL( const TRect& aRect );

    /**
     * Two-phased constructor. Leaves created object in cleanup stack. Create
     * a CMccExAppMainContainer object, which will draw itself to aRect.
     * 
     * @param aRect Rectangle this view will be drawn to.
     * @return A pointer to the created instance of CMccExAppMainContainer.
     */
    static CMccExAppMainContainer* NewLC( const TRect& aRect );

    /**
     * Destructor.
     */
    virtual ~CMccExAppMainContainer();

private:

    /**
     * C++ default constructor.
     */
    CMccExAppMainContainer();
    
    };

#endif // C_CMCCEXAPPMAINCONTAINER_H
